Redmine - Feature #13596

Add setting to allow/deny time logging on closed issues
2013-03-26 13:59 - Filou Centrinov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 6.1.0

Resolution: Fixed

Description

Time logging should be only possible for issues which are open. May an options is added to the time tracking rights for a role.

Related issues:
Related to Redmine - Feature #3322: Setting to restrict spent times on future... Closed 2009-05-08
Related to Redmine - Feature #13244: Restrict log time for old days Reopened

Associated revisions

Revision 23586 - 2025-03-30 09:48 - Marius BALTEANU

Add administration setting to allow time logging on closed issues. By default, the setting is enabled (#13596).

Revision 23587 - 2025-03-30 10:30 - Marius BALTEANU
Update locales (#13596).

Revision 23588 - 2025-03-30 10:31 - Marius BALTEANU

Fixes rubocop offense "[Correctable] Lint/SafeNavigationConsistency: Use . instead of unnecessary &.." (#13596).

Revision 23589 - 2025-03-30 10:59 - Marius BALTEANU
Fixes wrong condition added in r23586 (#13596).

History

#1 - 2013-06-10 22:00 - Filou Centrinov
- Related to Feature #13244: Restrict log time for old days added

#2 - 2013-11-18 10:03 - Pavel Potcheptsov

- File _action_menu.patch added

This works for me.
Change issue.status_id to number that points to your Closed issues.

#3 - 2016-08-29 08:04 - Toshi MARUYAMA
- Related to deleted (Feature #13244: Restrict log time for old days)

#4 - 2016-08-29 08:04 - Toshi MARUYAMA
- Related to Feature #13244: Restrict log time for old days added

#5 - 2016-08-29 08:04 - Toshi MARUYAMA
- Related to deleted (Feature #13244: Restrict log time for old days)

#6 - 2016-08-29 08:05 - Toshi MARUYAMA

- Related to Feature #3322: Setting to restrict spent times on future dates added

#7 - 2024-12-09 23:15 - Marius BALTEANU
- Related to Feature #13244: Restrict log time for old days added
#8 - 2024-12-09 23:15 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Target version set to 6.1.0
A patch has been posted in #13244.

#9 - 2024-12-11 20:58 - Marius BALTEANU
- File 0001-Adds-setting-to-allow-timelog-on-closed-issues.patch added

Attached a new patch based on the work made by Jens in #13244.

#10 - 2025-03-30 09:52 - Marius BALTEANU
- Subject changed from Allow time logging only for open issues to Add setting to allow/deny time logging on closed issues
- Status changed from New to Resolved

- Resolution set to Fixed

Setting added in r23586, you can now configure the desired behaviour.

#11 - 2025-03-30 11:31 - Marius BALTEANU

- Status changed from Resolved to Closed
All tests pass now.

#12 - 2025-03-30 12:25 - Holger Just

- Status changed from Closed to Reopened

Thank you Marius.

On doubt though: in the issue.rb patch in r23586, you refer to Setting.timelog_accept_future_dates?. Shouldn't this refer to
Setting.timelog_accept_closed_issues? with a different boolean negation instead, i.e.

# Returns true if user or current user is allowed to log time on the issue
def time_loggable? (user=User.current)

user.allowed_to?(:log_time, project) && (Setting.timelog_accept_closed_issues? || !closed?)
end

#13 - 2025-03-30 12:39 - Marius BALTEANU
Holger Just wrote in #note-12:
Thank you Marius.

On doubt though: in the issue.rb patch in r23586, you refer to Setting.timelog_accept_future_dates?. Shouldn't this refer to
Setting.timelog_accept_closed_issues? with a different boolean negation instead, i.e.

(-]

Yes, | saw that mistake right after I've committed the change and a test started to failed. The problem is already fixed in r23589.

#14 - 2025-03-30 12:51 - Holger Just

- Status changed from Reopened to Closed

| see, thanks. Sorry that | missed that.

#15 - 2025-03-30 12:51 - Marius BALTEANU

Holger Just wrote in #note-14:

| see, thanks. Sorry that | missed that.

Don't worry, thanks for reviewing the changes!

2025-05-01

2/3


https://www.redmine.org/issues/13244
https://www.redmine.org/issues/13244
https://www.redmine.org/projects/redmine/repository/svn/revisions/23586
https://www.redmine.org/projects/redmine/repository/svn/revisions/23586
https://www.redmine.org/projects/redmine/repository/svn/revisions/23586
https://www.redmine.org/projects/redmine/repository/svn/revisions/23589

Files

_action_menu.patch 1.12 KB 2013-11-18 Pavel Potcheptsov
0001-Adds-setting-to-allow-timelog-on-closed-issues.patch 9.02 KB 2024-12-11 Marius BALTEANU
